package configuration

type Format int

const (
	Yaml Format = iota
	Json
	Toml
	Properties
)

var availableFormats = []Format{Yaml, Json, Toml, Properties}

func (f Format) String() string {
	switch f {
	case Yaml:
		return "yaml"
	case Json:
		return "json"
	case Toml:
		return "toml"
	case Properties:
		return "properties"
	default:
		return "unknown"
	}
}

func (f Format) Extension() string {
	return "." + f.String()
}
